# Licenses

The world of software licenses is a confusing one, and you should be aware of a
few licenses that apply to you if you use this software and its dependencies,
or the data generated with it.

**Disclaimer:** This document is just an overview of things to look out for,
and no legal advice. It may even be incorrect or incomplete. Do your own
research or consult a professional.

#### Glossary

* OSM: [OpenStreetMap](https://openstreetmap.org)
* OBS: [OpenBikeSensor](https://openbikesensor.org)
* OMT: [OpenMapTiles](https://openmaptiles.org)

## OpenBikeSensor Portal

Our own software (the python packages `obs.face` and `obs.api`, the react
frontend, the accompanying documentation, etc.) are licensed as LGPL-3.0. You
will find the respective license files in the repositories.

## OpenStreetMap data

The moment you start importing OpenStreetMap (OSM) data into your system, its
license applies to everything you derive from it. This usually means you'll
have to visibly credit the OpenStreetMap contributors. Details can be found
here: <https://www.openstreetmap.org/copyright>.

## OpenMapTiles project

The OpenMapTiles (OMT) project has a confusing multi-license setup, with different
licenses covering the code, the schema, and the derived or generated data.

In any case, we're using all of that, so make sure to credit the project as
required by their license when using the data in a different context. The
frontend is set up to show the appropriate attributions, you should do the same
when building a different application with the same data.

## Vector tiles from the API

These are generated using OSM data *and* OMT tools. Both have to be credited.
Thanks to OSM being distributed under [ODbL
1.0](https://opendatacommons.org/licenses/odbl/), you will have to distribute
this combined data under the same license.

## OBS-only data exports

As of the writing of this document, there is no implemented export of OBS data
(not including OSM data) from the API. We will at some point generate datasets
of OBS data for use with other tools or to merge into a pool database, and
these datasets will not contain OSM-licensed data, so they will have their own
license. The portal software will not dictate the license, so as a portal
operator, you will have to decide this for your platform, and obtain consent
from your users to publish their uploaded data or derivatives thereof under
your chosen license. 

The OBS community will at some point decide on an open license for the data
generated by the community-run portal instance(s) and pool servers, and will
recommend the same license to all portal operators for interoperability
reasons.


## Your basemap provider

You have to figure out who you have to credit for the basemap you are using,
regardless of whether you use a provider or host them yourself. In many cases,
you will need to credit at least OpenStreetMap (for the input data) and
OpenMapTiles (for the data scheme and tools used). If using a commercial
provider (such as Mapbox or MapTiler), read their TOS.

## Code dependencies

Please check the licenses of our code dependencies to figure out whether they
restrict what you can do with them. See `frontend/package.json` and
`api/requirements.txt` for which dependencies are required for installation and
operation.
